opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::LineIterator Class Reference

`#include <core.hpp>`

## Public Member Functions
| LineIterator (const Mat &img, Point pt1, Point pt2, int connectivity=8, bool leftToRight=false)
| intializes the iterator
uchar * | operator* ()
| returns pointer to the current pixel
LineIterator & | operator++ ()
| prefix increment operator (++it). shifts iterator to the next pixel
LineIterator | operator++ (int)
| postfix increment operator (it++). shifts iterator to the next pixel
Point | pos () const
| returns coordinates of the current pixel

## Public Attributes
int | count
int | elemSize
int | err
int | minusDelta
int | minusStep
int | plusDelta
int | plusStep
uchar * | ptr
const uchar * | ptr0
int | step

## Detailed Description

Line iterator class

The class is used to iterate over all the pixels on the raster line segment connecting two specified points.

## Constructor & Destructor Documentation

cv::LineIterator::LineIterator | ( | const Mat & | img,
|  | Point | pt1,
|  | Point | pt2,
|  | int | connectivity = `8`,
|  | bool | leftToRight = `false`
| ) |  |

intializes the iterator

## Member Function Documentation

uchar * cv::LineIterator::operator* | ( |  | ) |
| inline

returns pointer to the current pixel

LineIterator & cv::LineIterator::operator++ | ( |  | ) |
| inline

prefix increment operator (++it). shifts iterator to the next pixel

LineIterator cv::LineIterator::operator++ | ( | int |  | ) |
| inline

postfix increment operator (it++). shifts iterator to the next pixel

Point cv::LineIterator::pos | ( |  | ) | const
| inline

returns coordinates of the current pixel

## Member Data Documentation

int cv::LineIterator::count

int cv::LineIterator::elemSize

int cv::LineIterator::err

int cv::LineIterator::minusDelta

int cv::LineIterator::minusStep

int cv::LineIterator::plusDelta

int cv::LineIterator::plusStep

uchar* cv::LineIterator::ptr

const uchar* cv::LineIterator::ptr0

int cv::LineIterator::step

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp